Page MenuHomePhabricator

deployment-mx is its own puppetmaster
Closed, ResolvedPublic

Description

All of deployment-prep has puppetmaster set to deployment-salt, except for deployment-mx which is set to itself. There's also a local patch in its puppetmaster, with unknown authorship (just says root).

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a subscriber: yuvipanda.
hashar updated the task description. (Show Details)Jan 13 2015, 11:20 AM
hashar set Security to None.
hashar added subscribers: Jgreen, hashar.

Ccing Jeff Green

It should be possible to point it back to the deployment-salt puppet master. Never tried though :(

Note: all patches applied on puppetmaster must be sent to Gerrit first then cherry picked in /var/lib/git/operations/puppet . That is the only way to track who is doing what and when on a shared infrastructure.

Jgreen added a comment.EditedJan 26 2015, 8:05 PM

We need to test mx functionality, as part of bounce handler testing, so we need role::mail::mx which conflicts with labs standard instance config .
The local change in question is:

class standard {

#include role::mail::sender # disabled b/c conflicts with role::mail::mx

I don't know of a way to do this without breaking other labs stuff.

scfc added a subscriber: scfc.Jan 26 2015, 9:13 PM

I think the underlying problem (not include role::mail::sender) is fixable by hiera; this would solve a similar situation with tools-mail where we need a different exim package for LDAP lookups as well.

gerritbot added a subscriber: gerritbot.

Change 186891 had a related patch set uploaded (by Yuvipanda):
Make standard class's exim including behavior configurable

https://gerrit.wikimedia.org/r/186891

Patch-For-Review

Change 186891 merged by Yuvipanda:
Make standard class's exim including behavior configurable

https://gerrit.wikimedia.org/r/186891

greg triaged this task as Normal priority.Jan 28 2015, 11:39 PM
greg moved this task from To Triage to Next: Maintenance on the Beta-Cluster-Infrastructure board.
greg added a subscriber: greg.Jan 28 2015, 11:46 PM

Change 186891 merged by Yuvipanda:
Make standard class's exim including behavior configurable
https://gerrit.wikimedia.org/r/186891

is that all that was needed? What else is needed here?

That didn't actually work yet :) Me and Joe are looking into it. After that I'll need to set the param in hiera for that instance and switch it to deployment-salt, and then hope that it doesn't fail more.

Change 187318 had a related patch set uploaded (by Yuvipanda):
beta: Disable standard mail sender on deployment-mx

https://gerrit.wikimedia.org/r/187318

Patch-For-Review

Change 187318 merged by Yuvipanda:
beta: Disable standard mail sender on deployment-mx

https://gerrit.wikimedia.org/r/187318

yuvipanda closed this task as Resolved.Jan 29 2015, 8:58 AM
yuvipanda claimed this task.

Yay, done now. I've filed T87849 and T87848 as things to be fixed by someone who is *not* me :)